## net.sourceforge.pmd.sourcetypehandlers
Class DummyVisitorStarter

    java.lang.Object
      net.sourceforge.pmd.sourcetypehandlers.DummyVisitorStarter

All Implemented Interfaces:
  VisitorStarter

public class DummyVisitorStarter
extends java.lang.Object
implements VisitorStarter

Implementation of VisitorStarter that does nothing.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`DummyVisitorStarter()`

Method Summary
`void` `start(java.lang.Object rootNode)` Start the visitor, given the root-node of the AST.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyVisitorStarter

    public DummyVisitorStarter()

Method Detail

### start

    public void start(java.lang.Object rootNode)

  Description copied from interface: `VisitorStarter`
  Start the visitor, given the root-node of the AST.

  Specified by:
    `start` in interface `VisitorStarter`
  Parameters:
    `rootNode` - The root node of the AST

Copyright © 2002-2006 InfoEther. All Rights Reserved.